Skip to main content
DELETE
/
v1
/
storage
/
docsets
/
{docset_id}
Delete Docset
curl --request DELETE \
  --url https://api.aryn.cloud/v1/storage/docsets/{docset_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.aryn.cloud/v1/storage/docsets/{docset_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.aryn.cloud/v1/storage/docsets/{docset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "account_id": "<string>",
  "docset_id": "<string>",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "readonly": true,
  "properties": {},
  "size": 123,
  "schema": {
    "properties": [
      {
        "name": "<string>",
        "property_type": "<string>",
        "default": "<unknown>",
        "description": "<string>",
        "examples": [
          "<unknown>"
        ]
      }
    ]
  },
  "prompts": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

docset_id
string
required

The unique identifier of the DocSet.

Response

Successful Response

account_id
string
required

The account id containing the DocSet.

docset_id
string
required

The unique id for the DocSet.

name
string
required

The name of the DocSet.

created_at
string<date-time>
required

The creation time of this DocSet.

readonly
boolean
required

Whether the DocSet is read-only.

properties
Properties · object | null

Additional properties for the DocSet.

size
integer | null

The number of documents in the DocSet.

schema
Schema · object | null

Represents the schema of a DocSet.

prompts
Prompts · object

The prompts associated with this DocSet.